#include <fxlib.h>
#include "menu.h"
#include "syscall.h"
#include "timer.h"
#include "realtime.h"


void run_prgm(int n)
{
	while(n--) KBD_PutKey(KEY_CTRL_DOWN, 0);
	KBD_PutKey(KEY_CTRL_EXE, 0);
	timer_start();
	App_PRGM(1, 0);
}

void init()
{
	int file;
	FONTCHARACTER pathname[] = {'\\','\\','f','l','s','0','\\','P','R','G','M','2',0};
	FONTCHARACTER filename[] = {'\\','\\','f','l','s','0','\\','P','R','G','M','2','\\','P','R','G','M','2','.','d','a','t',0};
	
    file = Bfile_OpenFile(filename, _OPENMODE_READ);
	if(file<0) {
		Bfile_CreateDirectory(pathname);
		Bfile_CreateFile(filename, 8);
		RTC_init();
	}
	else Bfile_CloseFile(file);
}


int AddIn_main(int isAppli, unsigned short OptionNum)
{
	init();
	run_prgm(menu());
	return 1;
}


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section
#pragma section _TOP
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
	return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}
#pragma section
